#ifndef __fake__
#define __fake__

#include "bns.h"
#include "orb.h"
#define MIN_FAKE_PACKET 60
#define FAKESIZE 6
#define FAKEMAGIC "magic" 

typedef struct Fakepkt {
    double          time;	/* packet time */
    int             seqid;	/* sequence id for checking */
    unsigned int    nsrcname;
    unsigned int    nbytes;	/* total #bytes in packet */
    int             sequence;	/* sequence # for checking */
    char            srcname[ORBSRCNAME_SIZE];	/* source name */
    char            rep[FAKESIZE];	/* type of packet */
    char            magic[6];	/* recognition code for fake packets */
} Fakepkt ; 

extern Fakepkt * newFakepkt () ;
extern int gbnsFakepkt (Bns *bns, Fakepkt *s ) ;
extern int pbnsFakepkt (Bns *bns, Fakepkt *s ) ;
extern void dbgFakepkt (Fakepkt *s, FILE *file, int flag) ;
extern void initFakepkt (Fakepkt *s) ;
extern void askFakepkt (Fakepkt *s ) ;
extern void freeFakepkt (Fakepkt *s) ;

#endif
